libepubgen::EPUBTextElements Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBTextElements Class Reference

`#include <EPUBTextElements.h>`

## Public Member Functions
| EPUBTextElements ()
| ~EPUBTextElements ()
void | append (const EPUBTextElements &elements)
void | write (librevenge::RVNGTextInterface *iface) const
void | addCloseComment ()
void | addCloseEndnote ()
void | addCloseFooter ()
void | addCloseFootnote ()
void | addCloseFrame ()
void | addCloseHeader ()
void | addCloseLink ()
void | addCloseListElement ()
void | addCloseOrderedListLevel ()
void | addCloseParagraph ()
void | addCloseSpan ()
void | addCloseTable ()
void | addCloseTableCell ()
void | addCloseTableRow ()
void | addCloseUnorderedListLevel ()
void | addInsertBinaryObject (const librevenge::RVNGPropertyList &propList)
void | addInsertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | addInsertEquation (const librevenge::RVNGPropertyList &propList)
void | addInsertField (const librevenge::RVNGPropertyList &propList)
void | addInsertLineBreak ()
void | addInsertSpace ()
void | addInsertTab ()
void | addInsertText (const librevenge::RVNGString &text)
void | addOpenComment (const librevenge::RVNGPropertyList &propList)
void | addOpenEndnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFooter (const librevenge::RVNGPropertyList &propList)
void | addOpenFootnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFrame (const librevenge::RVNGPropertyList &propList)
void | addOpenHeader (const librevenge::RVNGPropertyList &propList)
void | addOpenLink (const librevenge::RVNGPropertyList &propList)
void | addOpenListElement (const librevenge::RVNGPropertyList &propList)
void | addOpenOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addOpenTable (const librevenge::RVNGPropertyList &propList)
void | addOpenTableCell (const librevenge::RVNGPropertyList &propList)
void | addOpenTableRow (const librevenge::RVNGPropertyList &propList)
void | addOpenUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
bool | empty () const

## Private Member Functions
| EPUBTextElements (const EPUBTextElements &)
EPUBTextElements & | operator= (const EPUBTextElements &)

## Private Attributes
std::deque< EPUBTextElement * > | m_elements

## Constructor & Destructor Documentation

libepubgen::EPUBTextElements::EPUBTextElements | ( | const EPUBTextElements & |  | ) |
| private

libepubgen::EPUBTextElements::EPUBTextElements | ( |  | ) |

libepubgen::EPUBTextElements::~EPUBTextElements | ( |  | ) |

## Member Function Documentation

void libepubgen::EPUBTextElements::addCloseComment | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseEndnote | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseFooter | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseFootnote | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseFrame | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseHeader | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseLink | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseListElement | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseOrderedListLevel | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseParagraph | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseSpan | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseTable | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseTableCell | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseTableRow | ( |  | ) |

void libepubgen::EPUBTextElements::addCloseUnorderedListLevel | ( |  | ) |

void libepubgen::EPUBTextElements::addInsertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addInsertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addInsertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addInsertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addInsertLineBreak | ( |  | ) |

void libepubgen::EPUBTextElements::addInsertSpace | ( |  | ) |

void libepubgen::EPUBTextElements::addInsertTab | ( |  | ) |

void libepubgen::EPUBTextElements::addInsertText | ( | const librevenge::RVNGString & | text | ) |

void libepubgen::EPUBTextElements::addOpenComment | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::addOpenUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBTextElements::append | ( | const EPUBTextElements & | elements | ) |

bool libepubgen::EPUBTextElements::empty | ( |  | ) | const
| inline

EPUBTextElements& libepubgen::EPUBTextElements::operator= | ( | const EPUBTextElements & |  | ) |
| private

void libepubgen::EPUBTextElements::write | ( | librevenge::RVNGTextInterface * | iface | ) | const

## Member Data Documentation

std::deque<EPUBTextElement *> libepubgen::EPUBTextElements::m_elements
| private

Referenced by addCloseComment(), addCloseEndnote(), addCloseFooter(), addCloseFootnote(), addCloseFrame(), addCloseHeader(), addCloseLink(), addCloseListElement(), addCloseOrderedListLevel(), addCloseParagraph(), addCloseSpan(), addCloseTable(), addCloseTableCell(), addCloseTableRow(), addCloseUnorderedListLevel(), addInsertBinaryObject(), addInsertCoveredTableCell(), addInsertEquation(), addInsertField(), addInsertLineBreak(), addInsertSpace(), addInsertTab(), addInsertText(), addOpenComment(), addOpenEndnote(), addOpenFooter(), addOpenFootnote(), addOpenFrame(), addOpenHeader(), addOpenLink(), addOpenListElement(), addOpenOrderedListLevel(), addOpenParagraph(), addOpenSpan(), addOpenTable(), addOpenTableCell(), addOpenTableRow(), addOpenUnorderedListLevel(), empty(), write(), and ~EPUBTextElements().

The documentation for this class was generated from the following files:

- EPUBTextElements.h
- EPUBTextElements.cpp